Bug 126372 - GraphicsLayer::client() should return a reference.
Summary: GraphicsLayer::client() should return a reference.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andreas Kling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-01 20:21 PST by Andreas Kling
Modified: 2014-05-07 04:44 PDT (History)
16 users (show)

See Also:


Attachments
Patch (33.31 KB, patch)
2014-01-01 20:22 PST, Andreas Kling
no flags Details | Formatted Diff | Diff
Patch (45.10 KB, patch)
2014-05-02 19:19 PDT, Hyowon Kim
no flags Details | Formatted Diff | Diff
Patch (46.75 KB, patch)
2014-05-02 21:11 PDT, Hyowon Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kling 2014-01-01 20:21:55 PST
GraphicsLayer::client() is never null.
Comment 1 Andreas Kling 2014-01-01 20:22:17 PST
Created attachment 220202 [details]
Patch
Comment 2 EFL EWS Bot 2014-01-01 20:28:10 PST
Comment on attachment 220202 [details]
Patch

Attachment 220202 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/5115981164707840
Comment 3 EFL EWS Bot 2014-01-01 20:35:56 PST
Comment on attachment 220202 [details]
Patch

Attachment 220202 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/5471460843847680
Comment 4 kov's GTK+ EWS bot 2014-01-01 20:57:58 PST
Comment on attachment 220202 [details]
Patch

Attachment 220202 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/6461285986205696
Comment 5 Hyowon Kim 2014-04-16 04:55:36 PDT
Hi, Andreas. Is it ok if I upload a patch for this?
Comment 6 Andreas Kling 2014-04-24 17:01:10 PDT
(In reply to comment #5)
> Hi, Andreas. Is it ok if I upload a patch for this?

Hi. Of course, that would be great!
Comment 7 Hyowon Kim 2014-05-02 19:19:28 PDT
Created attachment 230730 [details]
Patch
Comment 8 Hyowon Kim 2014-05-02 21:11:09 PDT
Created attachment 230737 [details]
Patch
Comment 9 WebKit Commit Bot 2014-05-07 04:44:29 PDT
Comment on attachment 230737 [details]
Patch

Clearing flags on attachment: 230737

Committed r168423: <http://trac.webkit.org/changeset/168423>
Comment 10 WebKit Commit Bot 2014-05-07 04:44:36 PDT
All reviewed patches have been landed.  Closing bug.